Bug 200996 - "/sbin/service jabberd status" always returns 0
"/sbin/service jabberd status" always returns 0
Product: Fedora
Classification: Fedora
Component: jabberd (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Reber
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-08-02 01:06 EDT by Matthew West
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-07 10:18:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthew West 2006-08-02 01:06:20 EDT
Description of problem:
Running "/sbin/service jabberd status" returns 0 whether jabberd is running or not, which breaks 
automated admin scripts.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
[root@host ~]# service jabberd status
router (pid 25257) is running...
resolver (pid 25287) is running...
sm (pid 25317) is running...
c2s (pid 25347) is running...
s2s (pid 25378) is running...
[root@host ~]# echo $?
[root@host ~]# service jabberd stop
Terminating jabberd processes ...
Stopping router:                                           [  OK  ]
Stopping resolver:                                         [  OK  ]
Stopping sm:                                               [  OK  ]
Stopping c2s:                                              [  OK  ]
Stopping s2s:                                              [  OK  ]
[root@host ~]# service jabberd status
router is stopped
resolver is stopped
sm is stopped
c2s is stopped
s2s is stopped
[root@host ~]# echo $?
Actual results:
The return status of "/sbin/status jabberd status" is 0 even when jabberd is stopped.

Expected results:
The return status should be 3 if jabberd is not running.

Additional info:
The rhstatus() function in /etc/init.d/jabberd should store and return $? just as does the preceding 
reload() function.

This is the same problem as described for openldap in bug 63241.
Comment 1 Adrian Reber 2006-08-07 10:18:10 EDT
Fixed for FC5 and FC6 branches.

Note You need to log in before you can comment on or make changes to this bug.